import { defineComponent as m, computed as s, openBlock as i, createBlock as c, resolveDynamicComponent as f, unref as a, mergeProps as u, createSlots as p, renderList as g, withCtx as l, renderSlot as d } from "vue";
import h from "./refConfigList/refConfig_bgImg.vue_vue_type_script_setup_true_lang.mjs";
import w from "./refConfigList/refConfig_img.vue_vue_type_script_setup_true_lang.mjs";
import C from "./refConfigList/refConfig_number.vue_vue_type_script_setup_true_lang.mjs";
import $ from "./refConfigList/refConfig_text.mjs";
const j = /* @__PURE__ */ m({
  name: "refConfig",
  props: {
    config: {
      type: Object,
      required: !0
    },
    type: {
      type: String,
      require: !0
    },
    showImg: {
      type: Boolean,
      default: () => !0
    }
  },
  setup(e) {
    const o = e, n = s(() => {
      switch (o.type) {
        case "text":
          return $;
        case "img":
          return w;
        case "number":
          return C;
        case "bgImg":
          return h;
      }
    });
    return (r, y) => (i(), c(f(a(n)), u({
      config: e.config,
      showImg: e.showImg
    }, r.$attrs), p({ _: 2 }, [
      g(r.$slots, (I, t, _) => ({
        name: t,
        fn: l(() => [
          d(r.$slots, t)
        ])
      }))
    ]), 1040, ["config", "showImg"]));
  }
});
export {
  j as default
};
